package data;

import java.rmi.*;
import java.util.*;
import javax.ejb.*;

public interface MatchedLocalHome extends EJBLocalHome
{
	MatchedLocal create(String applicant, String job, String customer, boolean exact) throws CreateException;
	MatchedLocal findByPrimaryKey(MatchedPK key) throws FinderException;
	void deleteByJob(String job, String customer);
	void deleteByCustomer(String applicant);
	void deleteByApplicant(String applicant);
}
